Carrier Metadata
The Carrier Metadata endpoint returns information about all the carriers available on the EasyPost platform. This information may include service levels, predefined packages, shipment options, supported features, and more that are available per carrier. This metadata can be useful during onboarding and integration or when determining the ideal carrier mix for your setup.
Endpoints
name
string
The single-word name of a carrier, such as "royalmail" (these may not match the human-readable name)
human_readable
string
The human-readable name of the carrier (helps describe what kind of entry this is)
type
string
The CarrierAccount type associated with this carrier (some carriers may have multiple entries that share a type - Wallet vs BYOCA)
service_levels
array
A list of ServiceLevel objects for this carrier
predefined_packages
array
A list of PredefinedPackage objects for this carrier
supported_features
array
A list of SupportedFeature objects for this carrier
shipment_options
array
A list of ShipmentOption objects for this carrier
CarrierMetadata Object
{
"human_readable": "USPS BYOCA",
"name": "uspsbyoca",
"predefined_packages": [
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"6in x 4.5in x 0.016in"
],
"human_readable": null,
"max_weight": null,
"name": "Card"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"11.5in x 6.125in x 0.25in"
],
"human_readable": null,
"max_weight": null,
"name": "Letter"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"11.5in x 6.125in x 0.75in"
],
"human_readable": null,
"max_weight": null,
"name": "Flat"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"12.5in x 9.5in"
],
"human_readable": null,
"max_weight": null,
"name": "FlatRateEnvelope"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"15in x 9.5in"
],
"human_readable": null,
"max_weight": null,
"name": "FlatRateLegalEnvelope"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"12.5in x 9.5in"
],
"human_readable": null,
"max_weight": null,
"name": "FlatRatePaddedEnvelope"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"10in x 5in",
"12.5in x 9.5in"
],
"human_readable": null,
"max_weight": null,
"name": "FlatRateWindowEnvelope"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"12.5in x 9.5in"
],
"human_readable": null,
"max_weight": null,
"name": "FlatRateCardboardEnvelope"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"10in x 6in"
],
"human_readable": null,
"max_weight": null,
"name": "SmallFlatRateEnvelope"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"Varies based on service level"
],
"human_readable": null,
"max_weight": null,
"name": "Parcel"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"Varies based on service level"
],
"human_readable": null,
"max_weight": 320,
"name": "SoftPack"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"8.6875in x 5.4375in x 1.75in"
],
"human_readable": null,
"max_weight": null,
"name": "SmallFlatRateBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"11.25in x 8.75in x 6in",
"14.125in x 12in x 3.5in"
],
"human_readable": null,
"max_weight": null,
"name": "MediumFlatRateBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"12.25in x 12in x 6in"
],
"human_readable": null,
"max_weight": null,
"name": "LargeFlatRateBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"12.25in x 12.25in x 6in"
],
"human_readable": null,
"max_weight": null,
"name": "LargeFlatRateBoxAPOFPO"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [],
"human_readable": null,
"max_weight": null,
"name": "FlatTubTrayBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [],
"human_readable": null,
"max_weight": null,
"name": "EMMTrayBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [],
"human_readable": null,
"max_weight": null,
"name": "FullTrayBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [],
"human_readable": null,
"max_weight": null,
"name": "HalfTrayBox"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [],
"human_readable": null,
"max_weight": null,
"name": "PMODSack"
}
],
"service_levels": [
{
"carrier": "uspsbyoca",
"description": "1-5 business days",
"dimensions": [
"Cards, Letters and Flats only (no Parcels)",
"See Predefined Packages (Card, Letter, Flat) for details"
],
"human_readable": "First-Class Mail®",
"max_weight": 13,
"name": "First"
},
{
"carrier": "uspsbyoca",
"description": "1-3 business days",
"dimensions": [
"Combined Length and Girth < 108in"
],
"human_readable": "Priority Mail®",
"max_weight": 1120,
"name": "Priority"
},
{
"carrier": "uspsbyoca",
"description": "1-2 days",
"dimensions": [
"Combined Length and Girth < 108in"
],
"human_readable": "Priority Mail Express®",
"max_weight": 1120,
"name": "Express"
},
{
"carrier": "uspsbyoca",
"description": "2-5 days",
"dimensions": [
"Combined Length and Girth < 130in"
],
"human_readable": "USPS Ground Advantage®",
"max_weight": 1120,
"name": "GroundAdvantage"
},
{
"carrier": "uspsbyoca",
"description": "2-8 business days",
"dimensions": [
"Combined Length and Girth < 108in"
],
"human_readable": "Library Mail®",
"max_weight": 1120,
"name": "LibraryMail"
},
{
"carrier": "uspsbyoca",
"description": "2-8 business days",
"dimensions": [
"Combined Length and Girth < 108in"
],
"human_readable": "Media Mail®",
"max_weight": 1120,
"name": "MediaMail"
},
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"Must be rectangular, otherwise an additional charge may apply."
],
"human_readable": "First-Class Mail International®",
"max_weight": 15.994,
"name": "FirstClassMailInternational"
},
{
"carrier": "uspsbyoca",
"description": "7-21 days",
"dimensions": [
"Packages (Other Than Rolls): Combined Length and Girth < 108in",
"Rolls (Tubes): Length: min 4in; max 36 in. Length plus twice the diameter (combined): min 6.75 in; max 42in.",
"Some countries have specific prohibitions and restrictions"
],
"human_readable": "First-Class Package International Service®",
"max_weight": 64,
"name": "FirstClassPackageInternationalService"
},
{
"carrier": "uspsbyoca",
"description": "6-10 business days",
"dimensions": [
"Combined Length and Girth < 108in"
],
"human_readable": "Priority Mail International®",
"max_weight": 1120,
"name": "PriorityMailInternational"
},
{
"carrier": "uspsbyoca",
"description": "3-5 business days",
"dimensions": [
"Combined Length and Girth < 108in"
],
"human_readable": "Priority Mail Express International®",
"max_weight": 1120,
"name": "ExpressMailInternational"
}
],
"shipment_options": [
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Additional Handling",
"name": "additional_handling",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Auto Manifest",
"name": "auto_manifest",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Carrier Insurance Amount",
"name": "carrier_insurance_amount",
"type": "float"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Certificate Number",
"name": "certificate_number",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Certified Mail",
"name": "certified_mail",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Container",
"name": "container",
"type": "map"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Content Description",
"name": "content_description",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Currency",
"name": "currency",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Customs Include Shipping",
"name": "customs_include_shipping",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Dangerous Goods",
"name": "dangerous_goods",
"type": "map"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Delivery Confirmation",
"name": "delivery_confirmation",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Delivery Date",
"name": "delivery_date",
"type": "datetime"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Delivery Max Datetime",
"name": "delivery_max_datetime",
"type": "datetime"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Delivery Min Datetime",
"name": "delivery_min_datetime",
"type": "datetime"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Entry",
"name": "entry",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Handling Instructions",
"name": "handling_instructions",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Hazmat",
"name": "hazmat",
"type": "enum"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Image Format",
"name": "image_format",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Import Control Description",
"name": "import_control_description",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Import Control",
"name": "import_control",
"type": "enum"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Import Federal Tax Id",
"name": "import_federal_tax_id",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Importer Reference",
"name": "importer_reference",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Invoice Number",
"name": "invoice_number",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Label Date",
"name": "label_date",
"type": "datetime"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Label Format",
"name": "label_format",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Label Size",
"name": "label_size",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "License Number",
"name": "license_number",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Live Animal",
"name": "live_animal",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Machinable",
"name": "machinable",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Po Sort",
"name": "po_sort",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Print Custom",
"name": "print_custom",
"type": "array"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Registered Mail Amount",
"name": "registered_mail_amount",
"type": "float"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Registered Mail",
"name": "registered_mail",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Return Receipt",
"name": "return_receipt",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Return Service",
"name": "return_service",
"type": "string"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Saturday Delivery",
"name": "saturday_delivery",
"type": "boolean"
},
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Special Rates Eligibility",
"name": "special_rates_eligibility",
"type": "string"
}
],
"supported_features": [
{
"carrier": "uspsbyoca",
"description": null,
"name": "bill_on_delivery",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "bill_on_label_purchase",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "commercial_invoices",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "delivers_to_po_box",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "labels",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "pickups",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "rating",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "refunds",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "returns",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "scanforms",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "test_environment",
"supported": true
},
{
"carrier": "uspsbyoca",
"description": null,
"name": "tracking",
"supported": true
}
],
"type": "UspsAccount"
}carrier
string
The single-word name of the carrier
name
string
The service level name used by EasyPost
description
string
A description of the service level, or null
human_readable
string
The human-readable name of the service level, or null
max_weight
float
The maximum weight in ounces, or null
dimensions
array
Dimension requirements or limits, as strings, or null
ServiceLevel Object
{
"carrier": "uspsbyoca",
"description": "1-5 business days",
"dimensions": [
"Cards, Letters and Flats only (no Parcels)",
"See Predefined Packages (Card, Letter, Flat) for details"
],
"human_readable": "First-Class Mail®",
"max_weight": 13,
"name": "First"
}carrier
string
The single-word name of the carrier
name
string
The predefined package name used by EasyPost
description
string
A description of the predefined package, or null
human_readable
string
The human-readable name of the predefined package, or null
max_weight
float
The maximum weight in ounces, or null
dimensions
array
Available package dimensions, as strings, or null
PredefinedPackage Object
{
"carrier": "uspsbyoca",
"description": null,
"dimensions": [
"6in x 4.5in x 0.016in"
],
"human_readable": null,
"max_weight": null,
"name": "Card"
}carrier
string
The single-word name of the carrier
name
string
The name of the carrier feature
supported
boolean
Whether the feature is supported, or null
description
string
A description of the feature, or null
SupportedFeature Object
{
"carrier": "uspsbyoca",
"description": null,
"name": "bill_on_delivery",
"supported": true
}carrier
string
The single-word name of the carrier
name
string
The shipment option name used by EasyPost
description
string
A description of the shipment option, or null
human_readable
string
The human-readable name of the shipment option, or null
deprecated
boolean
Whether the shipment option is deprecated, or null
type
string
The shipment option value type, or null
ShipmentOption Object
{
"carrier": "uspsbyoca",
"deprecated": false,
"description": null,
"human_readable": "Additional Handling",
"name": "additional_handling",
"type": "boolean"
}Retrieve all CarrierMetadata for all carriers on the EasyPost platform.
Optionally, filter the response by specifying a list of carriers or metadata types.
Request Parameters
carriers
i.e. "usps,fedex,ups"
A comma-delimited list of single-word carriers you'd like to filter the response by
types
i.e. "service_levels,predefined_packages"
A comma-delimited list of the metadata types you'd like to filter the response by
GETÂ / metadata/ carriers
1# Request all metadata for all carriers
2curl -X GET https://api.easypost.com/v2/metadata/carriers \
3 -u "EASYPOST_API_KEY":
4
5# Request specific metadata for specific carriers
6curl -X GET "https://api.easypost.com/v2/metadata/carriers?carriers=usps&types=service_levels,predefined_packages" \
7 -u "EASYPOST_API_KEY":Response
1{
2 "carriers": [
3 {
4 "human_readable": "USPS BYOCA",
5 "name": "uspsbyoca",
6 "predefined_packages": [
7 {
8 "carrier": "uspsbyoca",
9 "description": null,
10 "dimensions": [
11 "6in x 4.5in x 0.016in"
12 ],
13 "human_readable": null,
14 "max_weight": null,
15 "name": "Card"
16 },
17 {
18 "carrier": "uspsbyoca",
19 "description": null,
20 "dimensions": [
21 "11.5in x 6.125in x 0.25in"
22 ],
23 "human_readable": null,
24 "max_weight": null,
25 "name": "Letter"
26 },
27 {
28 "carrier": "uspsbyoca",
29 "description": null,
30 "dimensions": [
31 "11.5in x 6.125in x 0.75in"
32 ],
33 "human_readable": null,
34 "max_weight": null,
35 "name": "Flat"
36 },
37 {
38 "carrier": "uspsbyoca",
39 "description": null,
40 "dimensions": [
41 "12.5in x 9.5in"
42 ],
43 "human_readable": null,
44 "max_weight": null,
45 "name": "FlatRateEnvelope"
46 },
47 {
48 "carrier": "uspsbyoca",
49 "description": null,
50 "dimensions": [
51 "15in x 9.5in"
52 ],
53 "human_readable": null,
54 "max_weight": null,
55 "name": "FlatRateLegalEnvelope"
56 },
57 {
58 "carrier": "uspsbyoca",
59 "description": null,
60 "dimensions": [
61 "12.5in x 9.5in"
62 ],
63 "human_readable": null,
64 "max_weight": null,
65 "name": "FlatRatePaddedEnvelope"
66 },
67 {
68 "carrier": "uspsbyoca",
69 "description": null,
70 "dimensions": [
71 "10in x 5in",
72 "12.5in x 9.5in"
73 ],
74 "human_readable": null,
75 "max_weight": null,
76 "name": "FlatRateWindowEnvelope"
77 },
78 {
79 "carrier": "uspsbyoca",
80 "description": null,
81 "dimensions": [
82 "12.5in x 9.5in"
83 ],
84 "human_readable": null,
85 "max_weight": null,
86 "name": "FlatRateCardboardEnvelope"
87 },
88 {
89 "carrier": "uspsbyoca",
90 "description": null,
91 "dimensions": [
92 "10in x 6in"
93 ],
94 "human_readable": null,
95 "max_weight": null,
96 "name": "SmallFlatRateEnvelope"
97 },
98 {
99 "carrier": "uspsbyoca",
100 "description": null,
101 "dimensions": [
102 "Varies based on service level"
103 ],
104 "human_readable": null,
105 "max_weight": null,
106 "name": "Parcel"
107 },
108 {
109 "carrier": "uspsbyoca",
110 "description": null,
111 "dimensions": [
112 "Varies based on service level"
113 ],
114 "human_readable": null,
115 "max_weight": 320.0,
116 "name": "SoftPack"
117 },
118 {
119 "carrier": "uspsbyoca",
120 "description": null,
121 "dimensions": [
122 "8.6875in x 5.4375in x 1.75in"
123 ],
124 "human_readable": null,
125 "max_weight": null,
126 "name": "SmallFlatRateBox"
127 },
128 {
129 "carrier": "uspsbyoca",
130 "description": null,
131 "dimensions": [
132 "11.25in x 8.75in x 6in",
133 "14.125in x 12in x 3.5in"
134 ],
135 "human_readable": null,
136 "max_weight": null,
137 "name": "MediumFlatRateBox"
138 },
139 {
140 "carrier": "uspsbyoca",
141 "description": null,
142 "dimensions": [
143 "12.25in x 12in x 6in"
144 ],
145 "human_readable": null,
146 "max_weight": null,
147 "name": "LargeFlatRateBox"
148 },
149 {
150 "carrier": "uspsbyoca",
151 "description": null,
152 "dimensions": [
153 "12.25in x 12.25in x 6in"
154 ],
155 "human_readable": null,
156 "max_weight": null,
157 "name": "LargeFlatRateBoxAPOFPO"
158 },
159 {
160 "carrier": "uspsbyoca",
161 "description": null,
162 "dimensions": [],
163 "human_readable": null,
164 "max_weight": null,
165 "name": "FlatTubTrayBox"
166 },
167 {
168 "carrier": "uspsbyoca",
169 "description": null,
170 "dimensions": [],
171 "human_readable": null,
172 "max_weight": null,
173 "name": "EMMTrayBox"
174 },
175 {
176 "carrier": "uspsbyoca",
177 "description": null,
178 "dimensions": [],
179 "human_readable": null,
180 "max_weight": null,
181 "name": "FullTrayBox"
182 },
183 {
184 "carrier": "uspsbyoca",
185 "description": null,
186 "dimensions": [],
187 "human_readable": null,
188 "max_weight": null,
189 "name": "HalfTrayBox"
190 },
191 {
192 "carrier": "uspsbyoca",
193 "description": null,
194 "dimensions": [],
195 "human_readable": null,
196 "max_weight": null,
197 "name": "PMODSack"
198 }
199 ],
200 "service_levels": [
201 {
202 "carrier": "uspsbyoca",
203 "description": "1-5 business days",
204 "dimensions": [
205 "Cards, Letters and Flats only (no Parcels)",
206 "See Predefined Packages (Card, Letter, Flat) for details"
207 ],
208 "human_readable": "First-Class Mail®",
209 "max_weight": 13.0,
210 "name": "First"
211 },
212 {
213 "carrier": "uspsbyoca",
214 "description": "1-3 business days",
215 "dimensions": [
216 "Combined Length and Girth < 108in"
217 ],
218 "human_readable": "Priority Mail®",
219 "max_weight": 1120.0,
220 "name": "Priority"
221 },
222 {
223 "carrier": "uspsbyoca",
224 "description": "1-2 days",
225 "dimensions": [
226 "Combined Length and Girth < 108in"
227 ],
228 "human_readable": "Priority Mail Express®",
229 "max_weight": 1120.0,
230 "name": "Express"
231 },
232 {
233 "carrier": "uspsbyoca",
234 "description": "2-5 days",
235 "dimensions": [
236 "Combined Length and Girth < 130in"
237 ],
238 "human_readable": "USPS Ground Advantage®",
239 "max_weight": 1120.0,
240 "name": "GroundAdvantage"
241 },
242 {
243 "carrier": "uspsbyoca",
244 "description": "2-8 business days",
245 "dimensions": [
246 "Combined Length and Girth < 108in"
247 ],
248 "human_readable": "Library Mail®",
249 "max_weight": 1120.0,
250 "name": "LibraryMail"
251 },
252 {
253 "carrier": "uspsbyoca",
254 "description": "2-8 business days",
255 "dimensions": [
256 "Combined Length and Girth < 108in"
257 ],
258 "human_readable": "Media Mail®",
259 "max_weight": 1120.0,
260 "name": "MediaMail"
261 },
262 {
263 "carrier": "uspsbyoca",
264 "description": null,
265 "dimensions": [
266 "Must be rectangular, otherwise an additional charge may apply."
267 ],
268 "human_readable": "First-Class Mail International®",
269 "max_weight": 15.994,
270 "name": "FirstClassMailInternational"
271 },
272 {
273 "carrier": "uspsbyoca",
274 "description": "7-21 days",
275 "dimensions": [
276 "Packages (Other Than Rolls): Combined Length and Girth < 108in",
277 "Rolls (Tubes): Length: min 4in; max 36 in. Length plus twice the diameter (combined): min 6.75 in; max 42in.",
278 "Some countries have specific prohibitions and restrictions"
279 ],
280 "human_readable": "First-Class Package International Service®",
281 "max_weight": 64.0,
282 "name": "FirstClassPackageInternationalService"
283 },
284 {
285 "carrier": "uspsbyoca",
286 "description": "6-10 business days",
287 "dimensions": [
288 "Combined Length and Girth < 108in"
289 ],
290 "human_readable": "Priority Mail International®",
291 "max_weight": 1120.0,
292 "name": "PriorityMailInternational"
293 },
294 {
295 "carrier": "uspsbyoca",
296 "description": "3-5 business days",
297 "dimensions": [
298 "Combined Length and Girth < 108in"
299 ],
300 "human_readable": "Priority Mail Express International®",
301 "max_weight": 1120.0,
302 "name": "ExpressMailInternational"
303 }
304 ],
305 "shipment_options": [
306 {
307 "carrier": "uspsbyoca",
308 "deprecated": false,
309 "description": null,
310 "human_readable": "Additional Handling",
311 "name": "additional_handling",
312 "type": "boolean"
313 },
314 {
315 "carrier": "uspsbyoca",
316 "deprecated": false,
317 "description": null,
318 "human_readable": "Auto Manifest",
319 "name": "auto_manifest",
320 "type": "boolean"
321 },
322 {
323 "carrier": "uspsbyoca",
324 "deprecated": false,
325 "description": null,
326 "human_readable": "Carrier Insurance Amount",
327 "name": "carrier_insurance_amount",
328 "type": "float"
329 },
330 {
331 "carrier": "uspsbyoca",
332 "deprecated": false,
333 "description": null,
334 "human_readable": "Certificate Number",
335 "name": "certificate_number",
336 "type": "string"
337 },
338 {
339 "carrier": "uspsbyoca",
340 "deprecated": false,
341 "description": null,
342 "human_readable": "Certified Mail",
343 "name": "certified_mail",
344 "type": "boolean"
345 },
346 {
347 "carrier": "uspsbyoca",
348 "deprecated": false,
349 "description": null,
350 "human_readable": "Container",
351 "name": "container",
352 "type": "map"
353 },
354 {
355 "carrier": "uspsbyoca",
356 "deprecated": false,
357 "description": null,
358 "human_readable": "Content Description",
359 "name": "content_description",
360 "type": "string"
361 },
362 {
363 "carrier": "uspsbyoca",
364 "deprecated": false,
365 "description": null,
366 "human_readable": "Currency",
367 "name": "currency",
368 "type": "string"
369 },
370 {
371 "carrier": "uspsbyoca",
372 "deprecated": false,
373 "description": null,
374 "human_readable": "Customs Include Shipping",
375 "name": "customs_include_shipping",
376 "type": "boolean"
377 },
378 {
379 "carrier": "uspsbyoca",
380 "deprecated": false,
381 "description": null,
382 "human_readable": "Dangerous Goods",
383 "name": "dangerous_goods",
384 "type": "map"
385 },
386 {
387 "carrier": "uspsbyoca",
388 "deprecated": false,
389 "description": null,
390 "human_readable": "Delivery Confirmation",
391 "name": "delivery_confirmation",
392 "type": "string"
393 },
394 {
395 "carrier": "uspsbyoca",
396 "deprecated": false,
397 "description": null,
398 "human_readable": "Delivery Date",
399 "name": "delivery_date",
400 "type": "datetime"
401 },
402 {
403 "carrier": "uspsbyoca",
404 "deprecated": false,
405 "description": null,
406 "human_readable": "Delivery Max Datetime",
407 "name": "delivery_max_datetime",
408 "type": "datetime"
409 },
410 {
411 "carrier": "uspsbyoca",
412 "deprecated": false,
413 "description": null,
414 "human_readable": "Delivery Min Datetime",
415 "name": "delivery_min_datetime",
416 "type": "datetime"
417 },
418 {
419 "carrier": "uspsbyoca",
420 "deprecated": false,
421 "description": null,
422 "human_readable": "Entry",
423 "name": "entry",
424 "type": "string"
425 },
426 {
427 "carrier": "uspsbyoca",
428 "deprecated": false,
429 "description": null,
430 "human_readable": "Handling Instructions",
431 "name": "handling_instructions",
432 "type": "string"
433 },
434 {
435 "carrier": "uspsbyoca",
436 "deprecated": false,
437 "description": null,
438 "human_readable": "Hazmat",
439 "name": "hazmat",
440 "type": "enum"
441 },
442 {
443 "carrier": "uspsbyoca",
444 "deprecated": false,
445 "description": null,
446 "human_readable": "Image Format",
447 "name": "image_format",
448 "type": "string"
449 },
450 {
451 "carrier": "uspsbyoca",
452 "deprecated": false,
453 "description": null,
454 "human_readable": "Import Control Description",
455 "name": "import_control_description",
456 "type": "string"
457 },
458 {
459 "carrier": "uspsbyoca",
460 "deprecated": false,
461 "description": null,
462 "human_readable": "Import Control",
463 "name": "import_control",
464 "type": "enum"
465 },
466 {
467 "carrier": "uspsbyoca",
468 "deprecated": false,
469 "description": null,
470 "human_readable": "Import Federal Tax Id",
471 "name": "import_federal_tax_id",
472 "type": "string"
473 },
474 {
475 "carrier": "uspsbyoca",
476 "deprecated": false,
477 "description": null,
478 "human_readable": "Importer Reference",
479 "name": "importer_reference",
480 "type": "string"
481 },
482 {
483 "carrier": "uspsbyoca",
484 "deprecated": false,
485 "description": null,
486 "human_readable": "Invoice Number",
487 "name": "invoice_number",
488 "type": "string"
489 },
490 {
491 "carrier": "uspsbyoca",
492 "deprecated": false,
493 "description": null,
494 "human_readable": "Label Date",
495 "name": "label_date",
496 "type": "datetime"
497 },
498 {
499 "carrier": "uspsbyoca",
500 "deprecated": false,
501 "description": null,
502 "human_readable": "Label Format",
503 "name": "label_format",
504 "type": "string"
505 },
506 {
507 "carrier": "uspsbyoca",
508 "deprecated": false,
509 "description": null,
510 "human_readable": "Label Size",
511 "name": "label_size",
512 "type": "string"
513 },
514 {
515 "carrier": "uspsbyoca",
516 "deprecated": false,
517 "description": null,
518 "human_readable": "License Number",
519 "name": "license_number",
520 "type": "string"
521 },
522 {
523 "carrier": "uspsbyoca",
524 "deprecated": false,
525 "description": null,
526 "human_readable": "Live Animal",
527 "name": "live_animal",
528 "type": "boolean"
529 },
530 {
531 "carrier": "uspsbyoca",
532 "deprecated": false,
533 "description": null,
534 "human_readable": "Machinable",
535 "name": "machinable",
536 "type": "boolean"
537 },
538 {
539 "carrier": "uspsbyoca",
540 "deprecated": false,
541 "description": null,
542 "human_readable": "Po Sort",
543 "name": "po_sort",
544 "type": "string"
545 },
546 {
547 "carrier": "uspsbyoca",
548 "deprecated": false,
549 "description": null,
550 "human_readable": "Print Custom",
551 "name": "print_custom",
552 "type": "array"
553 },
554 {
555 "carrier": "uspsbyoca",
556 "deprecated": false,
557 "description": null,
558 "human_readable": "Registered Mail Amount",
559 "name": "registered_mail_amount",
560 "type": "float"
561 },
562 {
563 "carrier": "uspsbyoca",
564 "deprecated": false,
565 "description": null,
566 "human_readable": "Registered Mail",
567 "name": "registered_mail",
568 "type": "boolean"
569 },
570 {
571 "carrier": "uspsbyoca",
572 "deprecated": false,
573 "description": null,
574 "human_readable": "Return Receipt",
575 "name": "return_receipt",
576 "type": "boolean"
577 },
578 {
579 "carrier": "uspsbyoca",
580 "deprecated": false,
581 "description": null,
582 "human_readable": "Return Service",
583 "name": "return_service",
584 "type": "string"
585 },
586 {
587 "carrier": "uspsbyoca",
588 "deprecated": false,
589 "description": null,
590 "human_readable": "Saturday Delivery",
591 "name": "saturday_delivery",
592 "type": "boolean"
593 },
594 {
595 "carrier": "uspsbyoca",
596 "deprecated": false,
597 "description": null,
598 "human_readable": "Special Rates Eligibility",
599 "name": "special_rates_eligibility",
600 "type": "string"
601 }
602 ],
603 "supported_features": [
604 {
605 "carrier": "uspsbyoca",
606 "description": null,
607 "name": "bill_on_delivery",
608 "supported": true
609 },
610 {
611 "carrier": "uspsbyoca",
612 "description": null,
613 "name": "bill_on_label_purchase",
614 "supported": true
615 },
616 {
617 "carrier": "uspsbyoca",
618 "description": null,
619 "name": "commercial_invoices",
620 "supported": true
621 },
622 {
623 "carrier": "uspsbyoca",
624 "description": null,
625 "name": "delivers_to_po_box",
626 "supported": true
627 },
628 {
629 "carrier": "uspsbyoca",
630 "description": null,
631 "name": "labels",
632 "supported": true
633 },
634 {
635 "carrier": "uspsbyoca",
636 "description": null,
637 "name": "pickups",
638 "supported": true
639 },
640 {
641 "carrier": "uspsbyoca",
642 "description": null,
643 "name": "rating",
644 "supported": true
645 },
646 {
647 "carrier": "uspsbyoca",
648 "description": null,
649 "name": "refunds",
650 "supported": true
651 },
652 {
653 "carrier": "uspsbyoca",
654 "description": null,
655 "name": "returns",
656 "supported": true
657 },
658 {
659 "carrier": "uspsbyoca",
660 "description": null,
661 "name": "scanforms",
662 "supported": true
663 },
664 {
665 "carrier": "uspsbyoca",
666 "description": null,
667 "name": "test_environment",
668 "supported": true
669 },
670 {
671 "carrier": "uspsbyoca",
672 "description": null,
673 "name": "tracking",
674 "supported": true
675 }
676 ],
677 "type": "UspsAccount"
678 }
679 ]
680}